Bug 186693 - Kernel deletion during upgrade
Kernel deletion during upgrade
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 08:45 EST by antonio montagnani
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 13:15:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2006-03-25 08:45:57 EST
Description of problem:

During upgrade from FC4 to FC5 old kernels were deleted (same on two different
machines)


Version-Release number of selected component (if applicable):


How reproducible:
Launch an upgrade from FC4 to FC5 using CD's.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
All present kernels were deleted (in particular vmlinux, initrd, system-map and
modules libraries)

Expected results:

No kernel should be deleted

Additional info:
Comment 1 Jeremy Katz 2006-03-27 13:15:29 EST
On upgrade, all packages get upgraded including the kernel
Comment 2 antonio montagnani 2006-03-27 14:40:43 EST
Jeremy

in previous releases (I am sure as I usually deleted all kernel but one before
updating and after upgrade I found two kernels, 4 in case of SMP-Kernel present)
kernel was added and old kernels were kept.
Comment 3 Thomas Steudten 2006-04-20 08:05:29 EDT
Old kernels, shouldn't be upgraded. Just install the new kernel, without remove
the old ones, like yum update does.

Note You need to log in before you can comment on or make changes to this bug.